<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.0/css/all.min.css"/>
        <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300&amp;display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <script src="https://code.highcharts.com/highcharts.js"></script>
        <script src="https://code.highcharts.com/highcharts-more.js"></script>
        <script src="https://code.highcharts.com/modules/series-label.js"></script>
        <script src="https://code.highcharts.com/modules/exporting.js"></script>
        <script src="https://code.highcharts.com/modules/export-data.js"></script>
        <script src="https://code.highcharts.com/modules/accessibility.js"></script>
        <title>MCAI Benchmarks</title>
    </head>
    
    <style type="text/css">
        :root {
            --main-bg-color: #155799;
            --sidenav-bg-color: #276aad;
            --main-font: Poppins, sans-serif;
        }

        .header {
            height: 50px;
            width: 100%;
            position: fixed;
            z-index: 2;
            top: 0;
            left: 0;
            background-color: var(--main-bg-color);
            overflow-x: hidden;
        }
    
        .header .logo {
            margin-left: 7px;
            vertical-align: middle;
        }
    
        #mcai_title {
            line-height: 50px;
            margin-left: 15px;
            font-size: 20px;
            color: white;
            vertical-align: middle;
            font-family: var(--main-font);
        }
    
        .sidenav {
            height: 100%;
            width: 50px;
            position: fixed;
            z-index: 1;
            top: 0;
            left: 0;
            background-color: var(--sidenav-bg-color);
            overflow-x: hidden;
            padding-top: 60px;
            transition: 0.5s;
        }
    
        .sidenav a {
            padding: 15px 8px 8px 15px;
            text-decoration: none;
            font-size: 20px;
            color: white;
            
            display: block;
            transition: 0.3s;
        }
    
        .sidenav a:hover {
            color: #818181;
        }
    
        .sidenav .menu-header {
            display: flex;
            margin-bottom: 3em;
        }
    
        .sidenav h3 {
            color: white;
            padding-left: 10px;
            font-family: var(--main-font);
        }
    
        .sidenav .sidebar-minimizer {
            position: fixed;
            bottom: 0;
            left: 0;
            width: 50px;
            height: 50px;
            background-color: #114477;
            border: none;
            transition: 0.5s;
        }
    
        .sidenav .sidebar-minimizer:hover {
            background-color: #06294b;
        }
    
        .sidenav .sidebar-minimizer .fa-solid {
            color: white;
            float: right;
            margin-right: 15px;
        }
    
        #main {
            transition: margin-left .5s;
            margin-left: 50px;
            margin-top: 50px;
            overflow-x: hidden;
        }
    
        .benchmarks {
            padding-top: 5px;
        }
    
        .nav-benchmark {
            display: flex;
        }
    
        .nav-benchmark-title {
            display: none;
            padding-left: 10px;
            white-space: nowrap;
            line-height: 20px;
        }
    
        .nav-benchmark i {
            position: relative;
        }
    
        .nav-benchmark-index {
            position: absolute;
            bottom: -5px;
            right: -5px;
            border-radius: 50%;
            font-size: 12px;
            line-height: 15px;
            width: 15px;
            height: 15px;
            display: inline-block;
            text-align: center;
            background-color: #06294b;
        }
    
        .title {
            display: flex;
            font-family: var(--main-font);
        }
    
        .title .expand {
            background-color: white;
            border: none;
            margin-right: 5px;
        }
    
    
        .highcharts-figure,
        .highcharts-data-table table {
            min-width: 360px;
            max-width: 800px;
            margin: 1em auto;
        }
    
        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }
    
        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }
    
        .highcharts-data-table th {
            font-weight: 600;
        }
    
        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }
    
        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }
    
        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }
    
    </style>
    
    <body>

        <div class="header">
            <div class="menu-header">
                <span>
                    <svg class="logo" height="35px" viewBox="0 0 61.36400198279674 60" xmlns="http://www.w3.org/2000/svg">
                        <g fill="white" id="b2bab6d2-b48d-418b-8bb4-b02b600eaaf3" stroke="none"
                            transform="matrix(0.7609480771796758,0,0,0.7609480771796758,-7.1072334915549575,-7.886466115724232)">
                            <switch>
                                <g>
                                    <path
                                        d="M89.141 35.617C86.25 22.852 77.844 14.405 68.699 10.364c11.371 10.018 21.846 29.405 8.814 47.069-5.406 7.331-16.217 10.228-20.746 8.184 0 0 7.002-1.487 11.357-5.295 8.469-8.017 11.299-20.932 4.52-32.673a25.839 25.839 0 0 0-3.357-4.575c-.018-.021-.033-.042-.051-.062-4.764-5.683-11.307-9.075-18.337-10.116-9.127-1.715-20.896.515-29.71 8.666C11.58 30.45 8.468 41.953 9.542 51.895c2.989-14.858 14.542-33.622 36.355-31.171 9.053 1.019 16.965 8.932 17.461 13.877 0 0-5.277-8.281-18.365-8.281-.24.004-.747.024-.761.024l-.167.01c-8.51.333-16.783 4.784-21.83 13.526a25.819 25.819 0 0 0-2.284 5.195l-.028.074c-2.539 6.968-2.205 14.33.407 20.938 3.079 8.763 10.896 17.841 22.361 21.397 12.502 3.878 24.02.82 32.092-5.079-14.363 4.837-36.389 4.216-45.173-15.899-3.645-8.35-.749-19.159 3.287-22.061 0 0-4.534 8.71 2.012 20.044 4.482 7.484 12.617 12.658 22.949 12.658.498 0 4.488-.311 5.926-.633l.08-.011c7.303-1.286 13.512-5.256 17.928-10.822 6.05-7.046 10.003-18.356 7.349-30.064z">
                                    </path>
                                </g>
                            </switch>
                        </g>
                    </svg>
                </span>
                <span id="mcai_title">MCAI Benchmarks</span>
            </div>
        </div>
        <div id="nav" class="sidenav">
            <div id="benchmarks">
                {{#each stages}}
                <a href="./{{{this}}}.html">
                    <div class="nav-benchmark">
                        <i class="fa-solid fa-chart-column">
                            <label class="nav-benchmark-index">{{incremented @index}}</label>
                        </i>
                            <span class="nav-benchmark-title"> 
                                {{this}}
                            </span>
                    </div>
                </a>
                {{/each}}
            </div>
            <button id="close-button" class="sidebar-minimizer" onclick="manage_navbar()">
                <i id="close-logo" class="fa-solid fa-chevron-right"></i>
            </button>
        </div>
        
        
        <script type="text/javascript">
            function manage_navbar() {
                if(document.getElementById("nav").style.width == "250px"){
                    document.getElementById("nav").style.width = "50px";
                    document.getElementById("main").style.marginLeft = "50px";
                    document.getElementById("close-button").style.width="50px";
                    document.getElementById("close-logo").style.transform = 'rotate(0deg)';
                    for (let e of document.getElementsByClassName("nav-benchmark-title")){
                         e.style.display = 'none';
                    }        
                } else {
                    document.getElementById("nav").style.width = "250px";
                    document.getElementById("main").style.marginLeft = "250px";
                    document.getElementById("close-button").style.width="250px";
                    document.getElementById("close-logo").style.transform = 'rotate(180deg)';
                    for (let e of document.getElementsByClassName("nav-benchmark-title")){
                        e.style.display = 'initial';
                    }
                }
            }
        </script>
        
        
        <div id="main">
            {{#each inner_html}}
            <div>
                {{{this}}}
            </div>
            {{/each}}
        </div>
    </body>    
</html>